curl --request POST \ --url https://api.affinity.co/v2/semantic-search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prompt": "Fintech companies based in the United States with over 50 employees", "limit": 10, "entityType": "companies", "listIds": [ 1, 2 ]}'
import requests
url = "https://api.affinity.co/v2/semantic-search"
payload = {
"prompt": "Fintech companies based in the United States with over 50 employees",
"limit": 10,
"entityType": "companies",
"listIds": [1, 2]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Fintech companies based in the United States with over 50 employees',
limit: 10,
entityType: 'companies',
listIds: [1, 2]
})
};
fetch('https://api.affinity.co/v2/semantic-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/semantic-search"
payload := strings.NewReader("{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.affinity.co/v2/semantic-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/semantic-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}"
response = http.request(request)
puts response.read_body
Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies.
The prompt field accepts natural language describing the companies to find. Supported query dimensions include:
Industry or sector
Example: climate tech companies in our pipeline
Descriptive technology or business concepts
Example: biotech companies working on extracellular vesicles
Funding information: investment stage, funding date, amount raised, and year founded
Example: Series A companies that raised more than $10M
Employee metrics: headcount, hiring rate, and departure rate
Example: companies with more than 100 employees
Interaction history
Example: companies our firm emailed recently
Relationship strength
Example: companies where we have strong connections
Relative time references
Example: AI companies founded in the past 3 years
Headquarters location: city, state, country, or region
Example: fintech startups in San Francisco
Investor name
Example: companies backed by Sequoia Capital
These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year.
Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request.
Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists.
The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named “Pipeline” or similar. To search a specific named list, use listIds.
The following are not supported:
Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom.
Company valuation and revenue metrics.
Lookup by similarity to a named company, for example companies like OpenAI.
Notes, email body content, or file attachments.
Custom fields.
Computed or formula-based sorts, such as a ratio between two fields.
POST
/
v2
/
semantic-search
Semantic Search
curl --request POST \ --url https://api.affinity.co/v2/semantic-search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prompt": "Fintech companies based in the United States with over 50 employees", "limit": 10, "entityType": "companies", "listIds": [ 1, 2 ]}'
import requests
url = "https://api.affinity.co/v2/semantic-search"
payload = {
"prompt": "Fintech companies based in the United States with over 50 employees",
"limit": 10,
"entityType": "companies",
"listIds": [1, 2]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Fintech companies based in the United States with over 50 employees',
limit: 10,
entityType: 'companies',
listIds: [1, 2]
})
};
fetch('https://api.affinity.co/v2/semantic-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/semantic-search"
payload := strings.NewReader("{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.affinity.co/v2/semantic-search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/semantic-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Fintech companies based in the United States with over 50 employees\",\n \"limit\": 10,\n \"entityType\": \"companies\",\n \"listIds\": [\n 1,\n 2\n ]\n}"
response = http.request(request)
puts response.read_body
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Affinity Developer Documentation","colors":{"primary":"#3B0D3A","light":"#FEFBF6","dark":"#3B0D3A"},"logo":{"light":"https://mintcdn.com/affinityco/eam7hibfKwa27ik4/logo/light.svg?fit=max\u0026auto=format\u0026n=eam7hibfKwa27ik4\u0026q=85\u0026s=3903d98e7859d09064804785a73f9056","dark":"https://mintcdn.com/affinityco/eam7hibfKwa27ik4/logo/dark.svg?fit=max\u0026auto=format\u0026n=eam7hibfKwa27ik4\u0026q=85\u0026s=f0a77906ec371191932c9fc539107445"},"favicon":{"light":"https://mintcdn.com/affinityco/at5q0mqgqCpLezS3/favicon/light.png?fit=max\u0026auto=format\u0026n=at5q0mqgqCpLezS3\u0026q=85\u0026s=baab4f4ec5890f8e12dd6e2402eb7a45","dark":"https://mintcdn.com/affinityco/at5q0mqgqCpLezS3/favicon/dark.png?fit=max\u0026auto=format\u0026n=at5q0mqgqCpLezS3\u0026q=85\u0026s=b97e0a7a9720956e79587bfd7c29153d"},"background":{"decoration":"gradient","color":{"light":"#FEFBF6","dark":"#1E0E1D"}},"navbar":{"links":[{"href":"https://api-docs.affinity.co/","label":"API V1"},{"href":"https://status.affinity.co/","label":"Status"},{"href":"https://www.affinity.co/product-release/latest-releases","label":"Releases"},{"href":"https://www.affinity.co/lp/api-newsletter","label":"Newsletter"}]},"footer":{"socials":{"x":"https://x.com/affinity__crm","linkedin":"https://www.linkedin.com/company/project-affinity","youtube":"https://www.youtube.com/channel/UCvnEfi1Li0VHGXKjLV6O9Pw","facebook":"https://www.facebook.com/AffinityHQ"}},"seo":{"metatags":{"og:image":"/images/opengraph-affinity.png","twitter:image":"/images/opengraph-affinity.png","twitter:card":"summary_large_image"}},"fonts":{"heading":{"family":"Arizona Mix","weight":500,"source":"fonts/ABCArizonaMix-Medium.woff2","format":"woff2"},"body":{"family":"Booton","weight":400,"source":"fonts/Booton-Regular.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"affinityco","hasAudioNarration":false,"actualSubdomain":"affinityco","customDomains":["developer.affinity.co"],"gitSource":{"type":"github","owner":"affinity","repo":"affinity-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0da7f28d2a787b16ac47f","collectionId":"0422b767-b1fa-4e83-9cf4-b03a3c7a0c37","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0da7f28d2a787b16ac47f"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0da7f28d2a787b16ac47f","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"API Reference","count":302},{"language":"default","tag":"2026-09-17","count":115},{"language":"default","tag":"2026-07-15","count":100},{"language":"default","tag":"2024-01-01","count":87},{"language":"default","tag":"Lists","count":62},{"language":"default","tag":"Data Share","count":46},{"language":"default","tag":"Persons","count":44},{"language":"default","tag":"Companies","count":40},{"language":"default","tag":"V1_0","count":37},{"language":"default","tag":"Notes","count":30}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"css/custom.css","content":".dark{--primary-light:254 251 246}.dark img[src=\"/images/chatgpt.svg\"],.dark img[src=\"/images/claude.svg\"],.dark img[src=\"/images/gemini.svg\"],.dark img[src=\"/images/github.svg\"]{filter:invert(1)}.sidebar-group a,.sidebar-group-header{font-size:.8125rem!important}#content-area li,#content-area p{font-size:.9375rem!important}#content-area td,#content-area th{font-size:.8125rem!important;line-height:1.45!important}#content-area td:first-child,#content-area th:first-child{white-space:nowrap!important}#content-area td:nth-child(2),#content-area th:nth-child(2){min-width:6rem!important}@font-face{font-family:\"Arizona Mix\";font-style:normal;font-weight:400;font-display:swap;src:url(/fonts/ABCArizonaMix-Regular.woff2) format(\"woff2\")}@font-face{font-family:\"Arizona Mix\";font-style:normal;font-weight:500;font-display:swap;src:url(/fonts/ABCArizonaMix-Medium.woff2) format(\"woff2\")}@font-face{font-family:\"Booton\";font-style:normal;font-weight:400;font-display:swap;src:url(/fonts/Booton-Regular.woff2) format(\"woff2\")}@font-face{font-family:\"Booton\";font-style:italic;font-weight:400;font-display:swap;src:url(/fonts/Booton-RegularItalic.woff2) format(\"woff2\")}@font-face{font-family:\"Booton\";font-style:normal;font-weight:500;font-display:swap;src:url(/fonts/Booton-Medium.woff2) format(\"woff2\")}@font-face{font-family:\"Booton\";font-style:normal;font-weight:600;font-display:swap;src:url(/fonts/Booton-SemiBold.woff2) format(\"woff2\")}@font-face{font-family:\"Booton\";font-style:italic;font-weight:600;font-display:swap;src:url(/fonts/Booton-SemiBoldItalic.woff2) format(\"woff2\")}:root{--brand-plum:#3B0D3A;--brand-alabaster:#FEFBF6;--brand-jaguar:#1E0E1D;--brand-grasshopper:#CDEC3E;--brand-cream:#FFEAAB;--brand-lavender:#7A23D1}.prose a{color:var(--brand-lavender)}.dark .prose a{color:var(--brand-cream)}"}],"page":{"pagePath":"api-reference/2026-09-17/semantic-search/semantic-search","slug":"/api-reference/2026-09-17/semantic-search/semantic-search","pageMetadata":{"title":"Semantic Search","description":"Perform an AI-powered semantic search. Use the `entityType` field in the request body to specify which entity type to search. Currently only supports companies.\n\nThe `prompt` field accepts natural language describing the companies to find. Supported query dimensions include:\n\n- Industry or sector\n - Example: `climate tech companies in our pipeline`\n- Descriptive technology or business concepts\n - Example: `biotech companies working on extracellular vesicles`\n- Funding information: investment stage, funding date, amount raised, and year founded\n - Example: `Series A companies that raised more than $10M`\n- Employee metrics: headcount, hiring rate, and departure rate\n - Example: `companies with more than 100 employees`\n- Interaction history\n - Example: `companies our firm emailed recently`\n- Relationship strength\n - Example: `companies where we have strong connections`\n- Relative time references\n - Example: `AI companies founded in the past 3 years`\n- Headquarters location: city, state, country, or region\n - Example: `fintech startups in San Francisco`\n- Investor name\n - Example: `companies backed by Sequoia Capital`\n\nThese dimensions can be combined in a single prompt, for example `climate tech companies in San Francisco that raised a Series A in the past year`.\n\nResults can be sorted by including the desired sort in the prompt itself, for example `Series B companies with the most funding`. Only one sortable attribute is supported per request.\n\nUse the `listIds` field to scope results to companies on specific lists, and combine it with `prompt` to search semantically within those lists. Retrieve list IDs from `GET /v2/lists`.\n\nThe phrases `I`, `we`, and `our firm` always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases `in our pipeline` and `in our network` match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \"Pipeline\" or similar. To search a specific named list, use `listIds`.\n\nThe following are not supported:\n\n- Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom.\n- Company valuation and revenue metrics.\n- Lookup by similarity to a named company, for example `companies like OpenAI`.\n- Notes, email body content, or file attachments.\n- Custom fields.\n- Computed or formula-based sorts, such as a ratio between two fields.","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/semantic-search","href":"/api-reference/2026-09-17/semantic-search/semantic-search","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Perform an AI-powered semantic search. Use the \", _jsx(_components.code, {\n children: \"entityType\"\n }), \" field in the request body to specify which entity type to search. Currently only supports companies.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"prompt\"\n }), \" field accepts natural language describing the companies to find. Supported query dimensions include:\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Industry or sector\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"climate tech companies in our pipeline\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Descriptive technology or business concepts\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"biotech companies working on extracellular vesicles\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Funding information: investment stage, funding date, amount raised, and year founded\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"Series A companies that raised more than $10M\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Employee metrics: headcount, hiring rate, and departure rate\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"companies with more than 100 employees\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Interaction history\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"companies our firm emailed recently\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Relationship strength\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"companies where we have strong connections\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Relative time references\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"AI companies founded in the past 3 years\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Headquarters location: city, state, country, or region\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"fintech startups in San Francisco\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Investor name\", \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Example: \", _jsx(_components.code, {\n children: \"companies backed by Sequoia Capital\"\n })]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"These dimensions can be combined in a single prompt, for example \", _jsx(_components.code, {\n children: \"climate tech companies in San Francisco that raised a Series A in the past year\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Results can be sorted by including the desired sort in the prompt itself, for example \", _jsx(_components.code, {\n children: \"Series B companies with the most funding\"\n }), \". Only one sortable attribute is supported per request.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Use the \", _jsx(_components.code, {\n children: \"listIds\"\n }), \" field to scope results to companies on specific lists, and combine it with \", _jsx(_components.code, {\n children: \"prompt\"\n }), \" to search semantically within those lists. Retrieve list IDs from \", _jsx(_components.code, {\n children: \"GET /v2/lists\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The phrases \", _jsx(_components.code, {\n children: \"I\"\n }), \", \", _jsx(_components.code, {\n children: \"we\"\n }), \", and \", _jsx(_components.code, {\n children: \"our firm\"\n }), \" always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases \", _jsx(_components.code, {\n children: \"in our pipeline\"\n }), \" and \", _jsx(_components.code, {\n children: \"in our network\"\n }), \" match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named “Pipeline” or similar. To search a specific named list, use \", _jsx(_components.code, {\n children: \"listIds\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"The following are not supported:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Company valuation and revenue metrics.\"\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Lookup by similarity to a named company, for example \", _jsx(_components.code, {\n children: \"companies like OpenAI\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Notes, email body content, or file attachments.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Custom fields.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Computed or formula-based sorts, such as a ratio between two fields.\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Semantic Search","description":"Perform an AI-powered semantic search. Use the `entityType` field in the request body to specify which entity type to search. Currently only supports companies.\n\nThe `prompt` field accepts natural language describing the companies to find. Supported query dimensions include:\n\n- Industry or sector\n - Example: `climate tech companies in our pipeline`\n- Descriptive technology or business concepts\n - Example: `biotech companies working on extracellular vesicles`\n- Funding information: investment stage, funding date, amount raised, and year founded\n - Example: `Series A companies that raised more than $10M`\n- Employee metrics: headcount, hiring rate, and departure rate\n - Example: `companies with more than 100 employees`\n- Interaction history\n - Example: `companies our firm emailed recently`\n- Relationship strength\n - Example: `companies where we have strong connections`\n- Relative time references\n - Example: `AI companies founded in the past 3 years`\n- Headquarters location: city, state, country, or region\n - Example: `fintech startups in San Francisco`\n- Investor name\n - Example: `companies backed by Sequoia Capital`\n\nThese dimensions can be combined in a single prompt, for example `climate tech companies in San Francisco that raised a Series A in the past year`.\n\nResults can be sorted by including the desired sort in the prompt itself, for example `Series B companies with the most funding`. Only one sortable attribute is supported per request.\n\nUse the `listIds` field to scope results to companies on specific lists, and combine it with `prompt` to search semantically within those lists. Retrieve list IDs from `GET /v2/lists`.\n\nThe phrases `I`, `we`, and `our firm` always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases `in our pipeline` and `in our network` match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \"Pipeline\" or similar. To search a specific named list, use `listIds`.\n\nThe following are not supported:\n\n- Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom.\n- Company valuation and revenue metrics.\n- Lookup by similarity to a named company, for example `companies like OpenAI`.\n- Notes, email body content, or file attachments.\n- Custom fields.\n- Computed or formula-based sorts, such as a ratio between two fields.","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/semantic-search","href":"/api-reference/2026-09-17/semantic-search/semantic-search","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/affinityco/8a6c3f4313845c2a/amplitude.js"],"openApiReferenceData":{"operation":{"x-operation-type":"retrieval-multiple-search","description":"Perform an AI-powered semantic search. Use the `entityType` field in the request body to specify which entity type to search. Currently only supports companies.\n\nThe `prompt` field accepts natural language describing the companies to find. Supported query dimensions include:\n\n- Industry or sector\n - Example: `climate tech companies in our pipeline`\n- Descriptive technology or business concepts\n - Example: `biotech companies working on extracellular vesicles`\n- Funding information: investment stage, funding date, amount raised, and year founded\n - Example: `Series A companies that raised more than $10M`\n- Employee metrics: headcount, hiring rate, and departure rate\n - Example: `companies with more than 100 employees`\n- Interaction history\n - Example: `companies our firm emailed recently`\n- Relationship strength\n - Example: `companies where we have strong connections`\n- Relative time references\n - Example: `AI companies founded in the past 3 years`\n- Headquarters location: city, state, country, or region\n - Example: `fintech startups in San Francisco`\n- Investor name\n - Example: `companies backed by Sequoia Capital`\n\nThese dimensions can be combined in a single prompt, for example `climate tech companies in San Francisco that raised a Series A in the past year`.\n\nResults can be sorted by including the desired sort in the prompt itself, for example `Series B companies with the most funding`. Only one sortable attribute is supported per request.\n\nUse the `listIds` field to scope results to companies on specific lists, and combine it with `prompt` to search semantically within those lists. Retrieve list IDs from `GET /v2/lists`.\n\nThe phrases `I`, `we`, and `our firm` always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases `in our pipeline` and `in our network` match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \"Pipeline\" or similar. To search a specific named list, use `listIds`.\n\nThe following are not supported:\n\n- Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom.\n- Company valuation and revenue metrics.\n- Lookup by similarity to a named company, for example `companies like OpenAI`.\n- Notes, email body content, or file attachments.\n- Custom fields.\n- Computed or formula-based sorts, such as a ratio between two fields.","summary":"Semantic Search","operationId":"v2_semantic-search__POST","security":["c9c76d22-034e-45b5-b3ae-e131c7a1c9b6","f2abfb4a-1d09-4ac4-83c1-516c97f62d11"],"tags":["Semantic Search"],"requestBody":"0d353797-8dcc-4847-b1b3-c28a3f495fb7","responses":{"201":"75036996-fb9f-489d-b5e5-132d38b2b7a0","400":"f72cb81f-d01b-49bd-bf74-021908d853dd","404":"773a8569-ed4a-4dfd-b6cf-5e6fb163b31b","default":"33c96484-c52c-4b5a-a628-c09c4c1877fe"},"method":"post","type":"path","servers":["3be9ca64-9954-4e02-bd55-e3d33e51a143"],"path":"/v2/semantic-search","baseUrlOptions":["https://api.affinity.co"],"title":"Semantic Search","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"title":"SemanticSearchCriteria","description":"Semantic search criteria including search prompt and entity type","type":"object","properties":{"prompt":{"description":"The search prompt to apply.","type":"string","minLength":1,"maxLength":500,"example":"Fintech companies based in the United States with over 50 employees","isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"limit":{"description":"Number of items to include in the response.","type":"integer","format":"int32","minimum":1,"maximum":100,"default":100,"example":10,"uniqueKey":"limit","typeLabel":"integer\u003cint32>"},"entityType":{"description":"The type of entity to search for.","type":"string","const":"companies","example":"companies","uniqueKey":"entityType","typeLabel":"string"},"listIds":{"description":"The IDs of the lists to filter results by.","type":"array","items":{"type":"integer","format":"int64","minimum":1,"maximum":9007199254740991,"uniqueKey":"listIds.items.[INDEX]","typeLabel":"integer\u003cint64>"},"maxItems":100,"example":[1,2],"uniqueKey":"listIds","typeLabel":"integer\u003cint64>[]"}},"additionalProperties":false,"required":["prompt"],"uniqueKey":"","typeLabel":"SemanticSearchCriteria · object"},"examples":{"Example":{"title":"Example","value":{"prompt":"Fintech companies based in the United States with over 50 employees","limit":10,"entityType":"companies","listIds":[1,2]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"75036996-fb9f-489d-b5e5-132d38b2b7a0":{"description":"Created","content":{"application/json":{"schema":{"title":"SemanticSearchResult","description":"Includes the list of entities that matched the search prompt and the explanation for the search.","type":"object","properties":{"data":{"description":"The list of entities that matched the search prompt","type":"array","maxItems":100,"items":{"title":"companies.SemanticSearchCompany","description":"Semantic Search Company result","type":"object","properties":{"id":{"description":"The company's unique identifier","type":"integer","format":"int64","minimum":1,"maximum":9007199254740991,"example":1,"isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"integer\u003cint64>"},"name":{"description":"The company's name","type":"string","example":"Horizon Technologies","isRequired":true,"uniqueKey":"data.items.[INDEX].name","typeLabel":"string"},"domain":{"oneOf":[{"description":"The company's primary domain","type":"string","format":"hostname","example":"horizontech.com","isRequired":true,"uniqueKey":"data.items.[INDEX].domain.oneOf.0","typeLabel":"string\u003chostname>"},{"description":"The company's primary domain","type":"null","format":"hostname","example":"horizontech.com","isRequired":true,"uniqueKey":"data.items.[INDEX].domain.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].domain","typeLabel":"string\u003chostname> | null"},"domains":{"description":"All of the company's domains","type":"array","items":{"type":"string","format":"hostname","example":"horizontech.com","uniqueKey":"data.items.[INDEX].domains.items.[INDEX]","typeLabel":"string\u003chostname>"},"maxItems":100,"example":["horizontech.com"],"isRequired":true,"uniqueKey":"data.items.[INDEX].domains","typeLabel":"string\u003chostname>[]"},"isGlobal":{"description":"Whether or not the company is tenant specific","type":"boolean","example":true,"isRequired":true,"uniqueKey":"data.items.[INDEX].isGlobal","typeLabel":"boolean"},"score":{"description":"The calculated relevance score for the company against the search prompt.","type":"string","example":"0.85","isRequired":true,"uniqueKey":"data.items.[INDEX].score","typeLabel":"string"}},"required":["id","name","domain","domains","isGlobal","score"],"additionalProperties":false,"uniqueKey":"data.items.[INDEX]","typeLabel":"companies.SemanticSearchCompany · object"},"isRequired":true,"uniqueKey":"data","typeLabel":"companies.SemanticSearchCompany · object[]"},"entityType":{"description":"The type of entity that was searched.","type":"string","const":"companies","example":"companies","isRequired":true,"uniqueKey":"entityType","typeLabel":"string"},"explanation":{"type":"string","example":"This result matched the search criteria.","isRequired":true,"uniqueKey":"explanation","typeLabel":"string"}},"required":["data","entityType","explanation"],"additionalProperties":false,"uniqueKey":"","typeLabel":"SemanticSearchResult · object"},"examples":{"Example":{"title":"Example","value":{"data":[{"id":1,"name":"Horizon Technologies","domain":"horizontech.com","domains":["horizontech.com"],"isGlobal":true,"score":"0.85"}],"entityType":"companies","explanation":"This result matched the search criteria."}}},"exampleType":"generated"}},"headers":{"x-ratelimit-limit-user":{"description":"Number of requests allowed per minute for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-remaining":{"description":"Number of requests remaining for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-reset":{"description":"Time in seconds before the limit resets for the user","schema":{"type":"integer"}},"x-ratelimit-limit-org":{"description":"Number of requests allowed per month for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-remaining":{"description":"Number of requests remaining for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-reset":{"description":"Time in seconds before the limit resets for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}}},"exampleType":"generated"},"f72cb81f-d01b-49bd-bf74-021908d853dd":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"responses.400","type":"object","properties":{"errors":{"type":"array","items":{"oneOf":[{"type":"object","title":"BadRequestError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"bad-request","example":"bad-request","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.0.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.0.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.0","typeLabel":"BadRequestError · object"},{"type":"object","title":"ValidationError","required":["code","message","param"],"properties":{"code":{"description":"Error code","type":"string","const":"validation","example":"validation","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.1.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.1.message","typeLabel":"string"},"param":{"description":"Param the error refers to","type":"string","example":"limit","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.1.param","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.1","typeLabel":"ValidationError · object"}],"uniqueKey":"errors.items.[INDEX]","typeLabel":"BadRequestError · object | ValidationError · object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"(BadRequestError · object | ValidationError · object)[]"}},"required":["errors"],"additionalProperties":false,"uniqueKey":"","typeLabel":"responses.400 · object"},"examples":{"Example":{"title":"Example","value":{"errors":[{"code":"bad-request","message":"\u003cstring>"}]}}},"exampleType":"generated"}},"headers":{"x-ratelimit-limit-user":{"description":"Number of requests allowed per minute for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-remaining":{"description":"Number of requests remaining for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-reset":{"description":"Time in seconds before the limit resets for the user","schema":{"type":"integer"}},"x-ratelimit-limit-org":{"description":"Number of requests allowed per month for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-remaining":{"description":"Number of requests remaining for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-reset":{"description":"Time in seconds before the limit resets for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}}},"exampleType":"generated"},"773a8569-ed4a-4dfd-b6cf-5e6fb163b31b":{"description":"Not Found","content":{"application/json":{"schema":{"title":"NotFoundErrors","description":"NotFoundErrors model","type":"object","properties":{"errors":{"description":"NotFoundError errors","type":"array","items":{"title":"NotFoundError","type":"object","properties":{"code":{"description":"Error code","type":"string","const":"not-found","example":"not-found","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"required":["code","message"],"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"NotFoundError · object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"NotFoundError · object[]"}},"required":["errors"],"additionalProperties":false,"uniqueKey":"","typeLabel":"NotFoundErrors · object"},"examples":{"Example":{"title":"Example","value":{"errors":[{"code":"not-found","message":"\u003cstring>"}]}}},"exampleType":"generated"}},"headers":{"x-ratelimit-limit-user":{"description":"Number of requests allowed per minute for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-remaining":{"description":"Number of requests remaining for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-reset":{"description":"Time in seconds before the limit resets for the user","schema":{"type":"integer"}},"x-ratelimit-limit-org":{"description":"Number of requests allowed per month for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-remaining":{"description":"Number of requests remaining for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-reset":{"description":"Time in seconds before the limit resets for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}}},"exampleType":"generated"},"33c96484-c52c-4b5a-a628-c09c4c1877fe":{"description":"Errors","content":{"application/json":{"schema":{"title":"Errors","type":"object","properties":{"errors":{"description":"Errors","type":"array","items":{"oneOf":[{"type":"object","title":"AuthenticationError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"authentication","example":"authentication","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.0.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.0.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.0","typeLabel":"AuthenticationError · object"},{"type":"object","title":"AuthorizationError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"authorization","example":"authorization","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.1.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.1.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.1","typeLabel":"AuthorizationError · object"},{"type":"object","title":"BadRequestError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"bad-request","example":"bad-request","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.2.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.2.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.2","typeLabel":"BadRequestError · object"},{"type":"object","title":"ConflictError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"conflict","example":"conflict","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.3.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.3.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.3","typeLabel":"ConflictError · object"},{"type":"object","title":"MethodNotAllowedError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"method-not-allowed","example":"method-not-allowed","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.4.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.4.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.4","typeLabel":"MethodNotAllowedError · object"},{"type":"object","title":"NotAcceptableError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"not-acceptable","example":"not-acceptable","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.5.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.5.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.5","typeLabel":"NotAcceptableError · object"},{"type":"object","title":"NotFoundError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"not-found","example":"not-found","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.6.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.6.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.6","typeLabel":"NotFoundError · object"},{"type":"object","title":"NotImplementedError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"not-implemented","example":"not-implemented","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.7.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.7.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.7","typeLabel":"NotImplementedError · object"},{"type":"object","title":"RateLimitError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"rate-limit","example":"rate-limit","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.8.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.8.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.8","typeLabel":"RateLimitError · object"},{"type":"object","title":"ServerError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"server","example":"server","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.9.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.9.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.9","typeLabel":"ServerError · object"},{"type":"object","title":"TimeoutError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"timeout","example":"timeout","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.10.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.10.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.10","typeLabel":"TimeoutError · object"},{"type":"object","title":"UnprocessableEntityError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"unprocessable-entity","example":"unprocessable-entity","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.11.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.11.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.11","typeLabel":"UnprocessableEntityError · object"},{"type":"object","title":"UnsupportedMediaTypeError","required":["code","message"],"properties":{"code":{"description":"Error code","type":"string","const":"unsupported-media-type","example":"unsupported-media-type","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.12.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.12.message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.12","typeLabel":"UnsupportedMediaTypeError · object"},{"type":"object","title":"ValidationError","required":["code","message","param"],"properties":{"code":{"description":"Error code","type":"string","const":"validation","example":"validation","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.13.code","typeLabel":"string"},"message":{"description":"Error message","type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.13.message","typeLabel":"string"},"param":{"description":"Param the error refers to","type":"string","example":"limit","isRequired":true,"uniqueKey":"errors.items.[INDEX].oneOf.13.param","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].oneOf.13","typeLabel":"ValidationError · object"}],"uniqueKey":"errors.items.[INDEX]","typeLabel":"AuthenticationError · object | AuthorizationError · object | BadRequestError · object | ConflictError · object | MethodNotAllowedError · object | NotAcceptableError · object | NotFoundError · object | NotImplementedError · object | RateLimitError · object | ServerError · object | TimeoutError · object | UnprocessableEntityError · object | UnsupportedMediaTypeError · object | ValidationError · object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"(AuthenticationError · object | AuthorizationError · object | BadRequestError · object | ConflictError · object | MethodNotAllowedError · object | NotAcceptableError · object | NotFoundError · object | NotImplementedError · object | RateLimitError · object | ServerError · object | TimeoutError · object | UnprocessableEntityError · object | UnsupportedMediaTypeError · object | ValidationError · object)[]"}},"required":["errors"],"additionalProperties":false,"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Example":{"title":"Example","value":{"errors":[{"code":"authentication","message":"\u003cstring>"}]}}},"exampleType":"generated"}},"headers":{"x-ratelimit-limit-user":{"description":"Number of requests allowed per minute for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-remaining":{"description":"Number of requests remaining for the user","schema":{"type":"integer"}},"x-ratelimit-limit-user-reset":{"description":"Time in seconds before the limit resets for the user","schema":{"type":"integer"}},"x-ratelimit-limit-org":{"description":"Number of requests allowed per month for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-remaining":{"description":"Number of requests remaining for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}},"x-ratelimit-limit-org-reset":{"description":"Time in seconds before the limit resets for the account. Absent when no monthly quota applies to the caller, for example a plan with no monthly cap.","schema":{"type":"integer"}}},"exampleType":"generated"}},"security":{"c9c76d22-034e-45b5-b3ae-e131c7a1c9b6":{"apiKeyAuth":{"type":"http","scheme":"bearer","description":"A static Affinity API key, presented as a bearer token.","scopes":[],"schemeName":"apiKeyAuth"}},"f2abfb4a-1d09-4ac4-83c1-516c97f62d11":{"oauth2":{"type":"oauth2","description":"OAuth 2.0 authorization code flow used to obtain a bearer token to access the Affinity API on a user's behalf.","flows":{"authorizationCode":{"authorizationUrl":"https://login.affinity.co/auth/oauth2/authorize","tokenUrl":"https://login.affinity.co/auth/oauth2/token","scopes":{"mcp":"Read and write data in Affinity via the MCP server","mcp.read":"Read access to data in Affinity via the MCP server","api":"Access to all Affinity APIs on your behalf","api.read":"Read-only access to Affinity APIs on your behalf","offline_access":"Continuous access to your Affinity data while logged out"}}},"scopes":["api.read"],"schemeName":"oauth2"}}},"servers":{"3be9ca64-9954-4e02-bd55-e3d33e51a143":{"url":"https://api.affinity.co"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"A static Affinity API key, presented as a bearer token.","scopes":[],"schemeName":"apiKeyAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"A static Affinity API key, presented as a bearer token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"apiKeyAuth","name":"Authorization"}],"title":"apiKeyAuth"},{"schemes":[{"scheme":{"type":"oauth2","description":"OAuth 2.0 authorization code flow used to obtain a bearer token to access the Affinity API on a user's behalf.","flows":{"authorizationCode":{"authorizationUrl":"https://login.affinity.co/auth/oauth2/authorize","tokenUrl":"https://login.affinity.co/auth/oauth2/token","scopes":{"mcp":"Read and write data in Affinity via the MCP server","mcp.read":"Read access to data in Affinity via the MCP server","api":"Access to all Affinity APIs on your behalf","api.read":"Read-only access to Affinity APIs on your behalf","offline_access":"Continuous access to your Affinity data while logged out"}}},"scopes":["api.read"],"schemeName":"oauth2"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"OAuth 2.0 authorization code flow used to obtain a bearer token to access the Affinity API on a user's behalf.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"oauth2","name":"Authorization"}],"title":"oauth2"}]},"originalFileLocation":"schema/temp/publish.yml"},"subdomain":"affinityco","siteName":"Affinity Developer Documentation","title":"Semantic Search - Affinity Developer Documentation","relatedPagesConfig":{"enabled":true,"limit":9,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T17:09:01.590Z","originalFileLocation":"api-reference/2026-09-17/semantic-search/semantic-search.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies. The prompt field accepts natural language describing the companies to find. Supported query dimensions include: - Industry or sector - Example: climate tech companies in our pipeline - Descriptive technology or business concepts - Example: biotech companies working on extracellular vesicles - Funding information: investment stage, funding date, amount raised, and year founded - Example: Series A companies that raised more than $10M - Employee metrics: headcount, hiring rate, and departure rate - Example: companies with more than 100 employees - Interaction history - Example: companies our firm emailed recently - Relationship strength - Example: companies where we have strong connections - Relative time references - Example: AI companies founded in the past 3 years - Headquarters location: city, state, country, or region - Example: fintech startups in San Francisco - Investor name - Example: companies backed by Sequoia Capital These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year. Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request. Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists. The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \u0026quot;Pipeline\u0026quot; or similar. To search a specific named list, use listIds. The following are not supported: - Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom. - Company valuation and revenue metrics. - Lookup by similarity to a named company, for example companies like OpenAI. - Notes, email body content, or file attachments. - Custom fields. - Computed or formula-based sorts, such as a ratio between two fields.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Affinity Developer Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Semantic Search - Affinity Developer Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies. The prompt field accepts natural language describing the companies to find. Supported query dimensions include: - Industry or sector - Example: climate tech companies in our pipeline - Descriptive technology or business concepts - Example: biotech companies working on extracellular vesicles - Funding information: investment stage, funding date, amount raised, and year founded - Example: Series A companies that raised more than $10M - Employee metrics: headcount, hiring rate, and departure rate - Example: companies with more than 100 employees - Interaction history - Example: companies our firm emailed recently - Relationship strength - Example: companies where we have strong connections - Relative time references - Example: AI companies founded in the past 3 years - Headquarters location: city, state, country, or region - Example: fintech startups in San Francisco - Investor name - Example: companies backed by Sequoia Capital These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year. Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request. Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists. The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \u0026quot;Pipeline\u0026quot; or similar. To search a specific named list, use listIds. The following are not supported: - Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom. - Company valuation and revenue metrics. - Lookup by similarity to a named company, for example companies like OpenAI. - Notes, email body content, or file attachments. - Custom fields. - Computed or formula-based sorts, such as a ratio between two fields.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Affinity Developer Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://affinityco.mintlify.app/images/opengraph-affinity.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Semantic Search - Affinity Developer Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies. The prompt field accepts natural language describing the companies to find. Supported query dimensions include: - Industry or sector - Example: climate tech companies in our pipeline - Descriptive technology or business concepts - Example: biotech companies working on extracellular vesicles - Funding information: investment stage, funding date, amount raised, and year founded - Example: Series A companies that raised more than $10M - Employee metrics: headcount, hiring rate, and departure rate - Example: companies with more than 100 employees - Interaction history - Example: companies our firm emailed recently - Relationship strength - Example: companies where we have strong connections - Relative time references - Example: AI companies founded in the past 3 years - Headquarters location: city, state, country, or region - Example: fintech startups in San Francisco - Investor name - Example: companies backed by Sequoia Capital These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year. Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request. Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists. The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \u0026quot;Pipeline\u0026quot; or similar. To search a specific named list, use listIds. The following are not supported: - Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom. - Company valuation and revenue metrics. - Lookup by similarity to a named company, for example companies like OpenAI. - Notes, email body content, or file attachments. - Custom fields. - Computed or formula-based sorts, such as a ratio between two fields.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://affinityco.mintlify.app/images/opengraph-affinity.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/affinityco/CXvLshWNfONUoQ_Z/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Affinity Developer Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3B0D3A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/2026-09-17/semantic-search/semantic-search.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.affinity.co/#organization\",\"name\":\"Affinity Developer Documentation\",\"url\":\"https://developer.affinity.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/affinityco/eam7hibfKwa27ik4/logo/light.svg?fit=max\u0026auto=format\u0026n=eam7hibfKwa27ik4\u0026q=85\u0026s=3903d98e7859d09064804785a73f9056\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.affinity.co#website\",\"name\":\"Affinity Developer Documentation\",\"url\":\"https://developer.affinity.co\",\"publisher\":{\"@id\":\"https://developer.affinity.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search#webpage\",\"url\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search\",\"name\":\"Semantic Search\",\"description\":\"Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies. The prompt field accepts natural language describing the companies to find. Supported query dimensions include: - Industry or sector - Example: climate tech companies in our pipeline - Descriptive technology or business concepts - Example: biotech companies working on extracellular vesicles - Funding information: investment stage, funding date, amount raised, and year founded - Example: Series A companies that raised more than $10M - Employee metrics: headcount, hiring rate, and departure rate - Example: companies with more than 100 employees - Interaction history - Example: companies our firm emailed recently - Relationship strength - Example: companies where we have strong connections - Relative time references - Example: AI companies founded in the past 3 years - Headquarters location: city, state, country, or region - Example: fintech startups in San Francisco - Investor name - Example: companies backed by Sequoia Capital These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year. Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request. Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists. The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \\\"Pipeline\\\" or similar. To search a specific named list, use listIds. The following are not supported: - Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom. - Company valuation and revenue metrics. - Lookup by similarity to a named company, for example companies like OpenAI. - Notes, email body content, or file attachments. - Custom fields. - Computed or formula-based sorts, such as a ratio between two fields.\",\"dateModified\":\"2026-10-27T17:09:01.590Z\",\"isPartOf\":{\"@id\":\"https://developer.affinity.co#website\"},\"breadcrumb\":{\"@id\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Affinity Developer Documentation\",\"item\":\"https://developer.affinity.co\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Semantic Search\",\"item\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search#apireference\",\"headline\":\"Semantic Search\",\"name\":\"Semantic Search\",\"description\":\"Perform an AI-powered semantic search. Use the entityType field in the request body to specify which entity type to search. Currently only supports companies. The prompt field accepts natural language describing the companies to find. Supported query dimensions include: - Industry or sector - Example: climate tech companies in our pipeline - Descriptive technology or business concepts - Example: biotech companies working on extracellular vesicles - Funding information: investment stage, funding date, amount raised, and year founded - Example: Series A companies that raised more than $10M - Employee metrics: headcount, hiring rate, and departure rate - Example: companies with more than 100 employees - Interaction history - Example: companies our firm emailed recently - Relationship strength - Example: companies where we have strong connections - Relative time references - Example: AI companies founded in the past 3 years - Headquarters location: city, state, country, or region - Example: fintech startups in San Francisco - Investor name - Example: companies backed by Sequoia Capital These dimensions can be combined in a single prompt, for example climate tech companies in San Francisco that raised a Series A in the past year. Results can be sorted by including the desired sort in the prompt itself, for example Series B companies with the most funding. Only one sortable attribute is supported per request. Use the listIds field to scope results to companies on specific lists, and combine it with prompt to search semantically within those lists. Retrieve list IDs from GET /v2/lists. The phrases I, we, and our firm always refer to firm-wide data: interaction history and relationship strength cannot be filtered to a specific team member. The phrases in our pipeline and in our network match companies your firm has interacted with or added to Affinity in general. They do not search for membership in a list literally named \\\"Pipeline\\\" or similar. To search a specific named list, use listIds. The following are not supported: - Third-party enrichment data such as Crunchbase, PitchBook, or Dealroom. - Company valuation and revenue metrics. - Lookup by similarity to a named company, for example companies like OpenAI. - Notes, email body content, or file attachments. - Custom fields. - Computed or formula-based sorts, such as a ratio between two fields.\",\"url\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search\",\"mainEntityOfPage\":{\"@id\":\"https://developer.affinity.co/api-reference/2026-09-17/semantic-search/semantic-search#webpage\"},\"image\":\"https://developer.affinity.co/images/opengraph-affinity.png\",\"dateModified\":\"2026-10-27T17:09:01.590Z\",\"publisher\":{\"@id\":\"https://developer.affinity.co/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.affinity.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Affinity Developer Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Affinity Developer Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/pages/external-api-v2/introduction"}]},{"tab":"API Reference","dropdowns":[{"dropdown":"2026-09-17","icon":"code","description":"Latest","groups":[{"group":"Auth","pages":[{"title":"Get current user","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/auth/whoami","href":"/api-reference/2026-09-17/auth/get-current-user"}]},{"group":"Calls","pages":[{"title":"Get metadata on all Calls","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/calls","href":"/api-reference/2026-09-17/calls/get-metadata-on-all-calls"}]},{"group":"Chat Messages","pages":[{"title":"Get metadata on all Chat Messages","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/chat-messages","href":"/api-reference/2026-09-17/chat-messages/get-metadata-on-all-chat-messages"}]},{"group":"Companies","pages":[{"title":"Get all Companies","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies","href":"/api-reference/2026-09-17/companies/get-all-companies"},{"title":"Get metadata on Company Fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/fields","href":"/api-reference/2026-09-17/companies/get-metadata-on-company-fields"},{"title":"Get dropdown options for a Company Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/fields/{fieldId}/dropdown-options","href":"/api-reference/2026-09-17/companies/get-dropdown-options-for-a-company-field"},{"title":"Search Companies","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/companies/search","href":"/api-reference/2026-09-17/companies/search-companies"},{"title":"Get a single Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}","href":"/api-reference/2026-09-17/companies/get-a-single-company"},{"title":"Get field values on a single Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/fields","href":"/api-reference/2026-09-17/companies/get-field-values-on-a-single-company"},{"title":"Perform batch operations on a company's fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml patch /v2/companies/{companyId}/fields","href":"/api-reference/2026-09-17/companies/perform-batch-operations-on-a-companys-fields"},{"title":"Get a single field value on a Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/fields/{fieldId}","href":"/api-reference/2026-09-17/companies/get-a-single-field-value-on-a-company"},{"title":"Update a single field value on a Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/companies/{companyId}/fields/{fieldId}","href":"/api-reference/2026-09-17/companies/update-a-single-field-value-on-a-company"},{"title":"Get values for a single field on a Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/fields/{fieldId}/values","href":"/api-reference/2026-09-17/companies/get-values-for-a-single-field-on-a-company"},{"title":"Get a Company's List Entries","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/list-entries","href":"/api-reference/2026-09-17/companies/get-a-companys-list-entries"},{"title":"Get a Company's Lists","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/lists","href":"/api-reference/2026-09-17/companies/get-a-companys-lists"},{"title":"Get Notes for a Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/notes","href":"/api-reference/2026-09-17/companies/get-notes-for-a-company"},{"title":"Get Relationships for a Company","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/companies/{companyId}/relationships","href":"/api-reference/2026-09-17/companies/get-relationships-for-a-company"}]},{"group":"Company Merges","pages":[{"title":"Get All Company Merges","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/company-merges","href":"/api-reference/2026-09-17/company-merges/get-all-company-merges"},{"title":"Initiate Company Merge","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/company-merges","href":"/api-reference/2026-09-17/company-merges/initiate-company-merge"},{"title":"Get Company Merge","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/company-merges/{mergeId}","href":"/api-reference/2026-09-17/company-merges/get-company-merge"},{"title":"Get All Company Merge Tasks","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/tasks/company-merges","href":"/api-reference/2026-09-17/company-merges/get-all-company-merge-tasks"},{"title":"Get Company Merge Task","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/tasks/company-merges/{taskId}","href":"/api-reference/2026-09-17/company-merges/get-company-merge-task"}]},{"group":"Company Duplicate Suggestions","pages":[{"title":"Get All Company Duplicate Suggestions","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/duplicates/company-suggestions","href":"/api-reference/2026-09-17/company-duplicate-suggestions/get-all-company-duplicate-suggestions"}]},{"group":"Person Duplicate Suggestions","pages":[{"title":"Get All Person Duplicate Suggestions","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/duplicates/person-suggestions","href":"/api-reference/2026-09-17/person-duplicate-suggestions/get-all-person-duplicate-suggestions"}]},{"group":"Emails","pages":[{"title":"Get metadata on all Emails","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/emails","href":"/api-reference/2026-09-17/emails/get-metadata-on-all-emails"}]},{"group":"Feedback","pages":[{"title":"Send Feedback","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/feedback","href":"/api-reference/2026-09-17/feedback/send-feedback"}]},{"group":"Field Value Changes","pages":[{"title":"Get all field value changes","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/field-value-changes","href":"/api-reference/2026-09-17/field-value-changes/get-all-field-value-changes"}]},{"group":"Files","pages":[{"title":"Get all Files","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/files","href":"/api-reference/2026-09-17/files/get-all-files"},{"title":"Search Files by Keyword","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/files/search","href":"/api-reference/2026-09-17/files/search-files-by-keyword"},{"title":"Get a single File","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/files/{fileId}","href":"/api-reference/2026-09-17/files/get-a-single-file"}]},{"group":"Inferred Connections","pages":[{"title":"Get Coworker Inferred Connections","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/inferred-connections/coworkers","href":"/api-reference/2026-09-17/inferred-connections/get-coworker-inferred-connections"},{"title":"Get Investor-Executive Inferred Connections","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/inferred-connections/investor-executive-connections","href":"/api-reference/2026-09-17/inferred-connections/get-investor-executive-inferred-connections"}]},{"group":"Intro Paths","pages":[{"title":"Get Introduction Paths","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/intro-paths","href":"/api-reference/2026-09-17/intro-paths/get-introduction-paths"}]},{"group":"Lists","pages":[{"title":"Get metadata on all Lists","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists","href":"/api-reference/2026-09-17/lists/get-metadata-on-all-lists"},{"title":"Create a List","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists","href":"/api-reference/2026-09-17/lists/create-a-list"},{"title":"Get metadata on a single List","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}","href":"/api-reference/2026-09-17/lists/get-metadata-on-a-single-list"},{"title":"Get metadata on a single List's Fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/fields","href":"/api-reference/2026-09-17/lists/get-metadata-on-a-single-lists-fields"},{"title":"Get dropdown options for a List Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/fields/{fieldId}/dropdown-options","href":"/api-reference/2026-09-17/lists/get-dropdown-options-for-a-list-field"},{"title":"Create a dropdown option for a List Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists/{listId}/fields/{fieldId}/dropdown-options","href":"/api-reference/2026-09-17/lists/create-a-dropdown-option-for-a-list-field"},{"title":"Get a dropdown option for a List Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId}","href":"/api-reference/2026-09-17/lists/get-a-dropdown-option-for-a-list-field"},{"title":"Update a dropdown option for a List Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId}","href":"/api-reference/2026-09-17/lists/update-a-dropdown-option-for-a-list-field"},{"title":"Delete a dropdown option for a List Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml delete /v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId}","href":"/api-reference/2026-09-17/lists/delete-a-dropdown-option-for-a-list-field"},{"title":"Get all List Entries on a List","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries","href":"/api-reference/2026-09-17/lists/get-all-list-entries-on-a-list"},{"title":"Add a List Entry to a List","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists/{listId}/list-entries","href":"/api-reference/2026-09-17/lists/add-a-list-entry-to-a-list"},{"title":"Search List Entries","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists/{listId}/list-entries/search","href":"/api-reference/2026-09-17/lists/search-list-entries"},{"title":"Get a single List Entry on a List","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries/{listEntryId}","href":"/api-reference/2026-09-17/lists/get-a-single-list-entry-on-a-list"},{"title":"Get Field Value Changes on a List Entry","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries/{listEntryId}/field-value-changes","href":"/api-reference/2026-09-17/lists/get-field-value-changes-on-a-list-entry"},{"title":"Get field values on a single List Entry","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries/{listEntryId}/fields","href":"/api-reference/2026-09-17/lists/get-field-values-on-a-single-list-entry"},{"title":"Perform batch operations on a list entry's fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml patch /v2/lists/{listId}/list-entries/{listEntryId}/fields","href":"/api-reference/2026-09-17/lists/perform-batch-operations-on-a-list-entrys-fields"},{"title":"Get a single field value","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId}","href":"/api-reference/2026-09-17/lists/get-a-single-field-value"},{"title":"Update a single field value on a List Entry","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId}","href":"/api-reference/2026-09-17/lists/update-a-single-field-value-on-a-list-entry"},{"title":"Get values for a single field on a List Entry","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId}/values","href":"/api-reference/2026-09-17/lists/get-values-for-a-single-field-on-a-list-entry"},{"title":"Get metadata on Saved Views","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/saved-views","href":"/api-reference/2026-09-17/lists/get-metadata-on-saved-views"},{"title":"Get metadata on a single Saved View","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/saved-views/{viewId}","href":"/api-reference/2026-09-17/lists/get-metadata-on-a-single-saved-view"},{"title":"Get all List Entries on a Saved View","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/lists/{listId}/saved-views/{viewId}/list-entries","href":"/api-reference/2026-09-17/lists/get-all-list-entries-on-a-saved-view"}]},{"group":"Meetings","pages":[{"title":"Get metadata on all Meetings","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/meetings","href":"/api-reference/2026-09-17/meetings/get-metadata-on-all-meetings"},{"title":"Get a single Meeting","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/meetings/{meetingId}","href":"/api-reference/2026-09-17/meetings/get-a-single-meeting"}]},{"group":"Notes","pages":[{"title":"Get all Notes","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes","href":"/api-reference/2026-09-17/notes/get-all-notes"},{"title":"Create a Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/notes","href":"/api-reference/2026-09-17/notes/create-a-note"},{"title":"Search Notes by Keyword","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/notes/search","href":"/api-reference/2026-09-17/notes/search-notes-by-keyword"},{"title":"Get a single Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes/{noteId}","href":"/api-reference/2026-09-17/notes/get-a-single-note"},{"title":"Update a single Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/notes/{noteId}","href":"/api-reference/2026-09-17/notes/update-a-single-note"},{"title":"Delete a single Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml delete /v2/notes/{noteId}","href":"/api-reference/2026-09-17/notes/delete-a-single-note"},{"title":"Get Companies attached to a Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes/{noteId}/attached-companies","href":"/api-reference/2026-09-17/notes/get-companies-attached-to-a-note"},{"title":"Get Opportunities attached to a Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes/{noteId}/attached-opportunities","href":"/api-reference/2026-09-17/notes/get-opportunities-attached-to-a-note"},{"title":"Get Persons attached to a Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes/{noteId}/attached-persons","href":"/api-reference/2026-09-17/notes/get-persons-attached-to-a-note"},{"title":"Get replies for a Note","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/notes/{noteId}/replies","href":"/api-reference/2026-09-17/notes/get-replies-for-a-note"}]},{"group":"Opportunities","pages":[{"title":"Get all Opportunities","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/opportunities","href":"/api-reference/2026-09-17/opportunities/get-all-opportunities"},{"title":"Get a single Opportunity","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/opportunities/{opportunityId}","href":"/api-reference/2026-09-17/opportunities/get-a-single-opportunity"},{"title":"Update an Opportunity","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/opportunities/{opportunityId}","href":"/api-reference/2026-09-17/opportunities/update-an-opportunity"},{"title":"Delete an Opportunity","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml delete /v2/opportunities/{opportunityId}","href":"/api-reference/2026-09-17/opportunities/delete-an-opportunity"},{"title":"Get Notes for an Opportunity","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/opportunities/{opportunityId}/notes","href":"/api-reference/2026-09-17/opportunities/get-notes-for-an-opportunity"}]},{"group":"Person Merges","pages":[{"title":"Get All Person Merges","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/person-merges","href":"/api-reference/2026-09-17/person-merges/get-all-person-merges"},{"title":"Initiate Person Merge","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/person-merges","href":"/api-reference/2026-09-17/person-merges/initiate-person-merge"},{"title":"Get Person Merge","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/person-merges/{mergeId}","href":"/api-reference/2026-09-17/person-merges/get-person-merge"},{"title":"Get All Person Merge Tasks","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/tasks/person-merges","href":"/api-reference/2026-09-17/person-merges/get-all-person-merge-tasks"},{"title":"Get Person Merge Task","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/tasks/person-merges/{taskId}","href":"/api-reference/2026-09-17/person-merges/get-person-merge-task"}]},{"group":"Persons","pages":[{"title":"Get all Persons","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons","href":"/api-reference/2026-09-17/persons/get-all-persons"},{"title":"Create a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/persons","href":"/api-reference/2026-09-17/persons/create-a-person"},{"title":"Get metadata on Person Fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/fields","href":"/api-reference/2026-09-17/persons/get-metadata-on-person-fields"},{"title":"Get dropdown options for a Person Field","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/fields/{fieldId}/dropdown-options","href":"/api-reference/2026-09-17/persons/get-dropdown-options-for-a-person-field"},{"title":"Search Persons","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/persons/search","href":"/api-reference/2026-09-17/persons/search-persons"},{"title":"Get a single Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}","href":"/api-reference/2026-09-17/persons/get-a-single-person"},{"title":"Delete a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml delete /v2/persons/{personId}","href":"/api-reference/2026-09-17/persons/delete-a-person"},{"title":"Get field values on a single Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/fields","href":"/api-reference/2026-09-17/persons/get-field-values-on-a-single-person"},{"title":"Perform batch operations on a person's fields","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml patch /v2/persons/{personId}/fields","href":"/api-reference/2026-09-17/persons/perform-batch-operations-on-a-persons-fields"},{"title":"Get a single field on a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/fields/{fieldId}","href":"/api-reference/2026-09-17/persons/get-a-single-field-on-a-person"},{"title":"Update a single field value on a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml post /v2/persons/{personId}/fields/{fieldId}","href":"/api-reference/2026-09-17/persons/update-a-single-field-value-on-a-person"},{"title":"Get values for a single field on a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/fields/{fieldId}/values","href":"/api-reference/2026-09-17/persons/get-values-for-a-single-field-on-a-person"},{"title":"Get a Person's List Entries","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/list-entries","href":"/api-reference/2026-09-17/persons/get-a-persons-list-entries"},{"title":"Get a Person's Lists","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/lists","href":"/api-reference/2026-09-17/persons/get-a-persons-lists"},{"title":"Get Notes for a Person","deprecated":null,"version":null,"openapi":"/schema/temp/publish.yml get /v2/persons/{personId}/notes","href":"/api-referenc
[...]
